Subject: bug#32672: 27.0.50; image resize on window resizing

From: martin rudalics <[email-masked]>
Date: Mon, 17 Sep 2018 08:46:21 +0200

> I tried but the hook still not called.  Moreover, it broke something:
 > after `C-x <right>' I need to type `C-x <left>' twice to get back
 > to the original buffer.

Suppose with emacs -Q I load the following code:

(defvar count 0)

(defun foo ()
   (setq count (1+ count))
   (message "%s ... current: %s ... window-buffer: %s"
	   count (current-buffer) (window-buffer)))

(with-current-buffer "*scratch*"
   (add-hook 'buffer-list-update-hook 'foo nil t))

This gets me an initial

1 ... current: *scratch* ... window-buffer: *scratch*

When I now type C-x <right> and then C-x <left> I get

2 ... current: *scratch* ... window-buffer: *scratch*

and my window shows *scratch*.  What do you get?

martin